<?php
include '../../header-main.php';
?>

<div>
    <div class="xl:flex gap-5">
        <div class="grow space-y-5">
            <div class="panel p-0">
                <div class="flex items-center justify-between p-4 border-b dark:border-[#191e3a]">
                    <div class="font-semibold text-base dark:text-white">Order #VL2667</div>
                    <button type="button" class="bg-success text-white text-xs py-1 px-2 rounded">
                        Invoice
                    </button>
                </div>
                <div class="overflow-x-auto">
                    <table class="w-[800px] md:w-full">
                        <thead>
                            <tr>
                                <th class="font-bold">Product Details</th>
                                <th class="font-bold">Item Price</th>
                                <th class="font-bold">Quantity</th>
                                <th class="ltr:!text-right rtl:!text-left font-bold">Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>
                                    <div class="flex items-center gap-4">
                                        <img src="/assets/images/product/product-1.jpg" alt="" class="w-12 h-12 rounded" />
                                        <div>
                                            <h3 class="text-base font-semibold">Wireless Bluetooth Headphones</h3>
                                            <div>
                                                <span>Color : <span class="font-semibold text-white-dark">Black</span></span>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>$89.99</td>
                                <td>02</td>
                                <td class="font-semibold ltr:!text-right rtl:!text-left">$179.98</td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="flex items-center gap-4">
                                        <img src="/assets/images/product/product-2.jpg" alt="" class="w-12 h-12 rounded" />
                                        <div>
                                            <h3 class="text-base font-semibold">Smart Watch with Heart Rate Monitor</h3>
                                            <div>
                                                <span>Color : <span class="font-semibold text-white-dark">Black</span></span>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>$149.99</td>
                                <td>01</td>
                                <td class="font-semibold ltr:!text-right rtl:!text-left">$149.99</td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="flex items-center gap-4">
                                        <img src="/assets/images/product/product-3.jpg" alt="" class="w-12 h-12 rounded" />
                                        <div>
                                            <h3 class="text-base font-semibold">Compact Digital Camera</h3>
                                            <div>
                                                <span>Color : <span class="font-semibold text-white-dark">Dark Black</span></span>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>$219.99</td>
                                <td>03</td>
                                <td class="font-semibold ltr:!text-right rtl:!text-left">$659.97</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="flex justify-end px-4">
                    <div class="w-full md:w-80 font-semibold">
                        <div class="flex items-center justify-between py-2">
                            <span>Sub Total :</span>
                            <span>$989.94</span>
                        </div>
                        <div class="flex items-center justify-between py-2">
                            <div>Discount <span class="text-white-dark">(ABC123)</span> :</div>
                            <span>-$49.99</span>
                        </div>
                        <div class="flex items-center justify-between py-2">
                            <span>Shipping Charge :</span>
                            <span>$65.00</span>
                        </div>
                        <div class="flex items-center justify-between py-2">
                            <span>Estimated Tax :</span>
                            <span>$44.99</span>
                        </div>
                        <div class="flex items-center justify-between font-bold py-4 border-t dark:border-t-dark border-dashed">
                            <span>Total (USD) :</span>
                            <span>$1,049.94</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel p-0">
                <div class="sm:flex items-center justify-between p-4 border-b dark:border-[#191e3a]">
                    <div class="font-semibold text-base dark:text-white">Order Status</div>
                    <div class="flex items-center gap-3 mt-4 sm:mt-0">
                        <button type="button" class="btn btn-outline-info text-xs">Change Address</button>
                        <button type="button" class="btn btn-outline-danger text-xs">Cancel Order</button>
                    </div>
                </div>
                <div class="py-10 px-4 sm:px-6">
                    <ul class="">
                        <li class="pb-10 space-y-4 relative ltr:pl-14 rtl:pr-14 before:absolute ltr:before:left-4.5 rtl:before:right-4.5 before:top-0 before:border-l before:border-primary before:border-dashed before:h-full">
                            <div class="flex items-center text-base">
                                <div class="font-bold">Order Placed - </div>
                                <div>&nbsp; Mon. 14 Feb 2021</div>
                            </div>
                            <div>
                                <p class="font-semibold">An order has been placed.</p>
                                <div class="text-white-dark">Wed, 15 Dec 2021 - 05:34PM</div>
                            </div>
                            <div>
                                <p class="font-semibold">Seller has proccessed your order.</p>
                                <div class="text-white-dark">Thu, 16 Dec 2021 - 5:48AM</div>
                            </div>
                            <div class="w-9 h-9 bg-primary flex items-center justify-center rounded-full absolute ltr:left-0 rtl:right-0 -top-1.5 !mt-0">
                                <svg class="w-5 h-5 text-white" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M12.0001 2.75C10.7575 2.75 9.75012 3.75736 9.75012 5V5.25988C10.3072 5.24999 10.9184 5.24999 11.5893 5.25H12.411C13.0818 5.24999 13.693 5.24999 14.2501 5.25988V5C14.2501 3.75736 13.2428 2.75 12.0001 2.75ZM15.7501 5.32793V5C15.7501 2.92893 14.0712 1.25 12.0001 1.25C9.92905 1.25 8.25012 2.92893 8.25012 5V5.32793C8.10739 5.34021 7.96947 5.35444 7.83619 5.3709C6.82622 5.49569 5.9936 5.75783 5.2863 6.34483C4.57901 6.93183 4.16792 7.70189 3.85914 8.67156C3.55991 9.61128 3.3334 10.8194 3.04866 12.3381L3.02798 12.4484C2.62618 14.5912 2.30954 16.2799 2.25143 17.6112C2.19187 18.9758 2.39488 20.106 3.16465 21.0335C3.93443 21.961 5.00785 22.3689 6.36005 22.5618C7.67926 22.75 9.39737 22.75 11.5775 22.75H12.4227C14.6028 22.75 16.321 22.75 17.6402 22.5618C18.9924 22.3689 20.0658 21.961 20.8356 21.0335C21.6054 20.106 21.8084 18.9758 21.7488 17.6112C21.6907 16.2799 21.3741 14.5912 20.9723 12.4484L20.9516 12.3381C20.6668 10.8194 20.4403 9.61129 20.1411 8.67156C19.8323 7.70189 19.4212 6.93183 18.7139 6.34483C18.0066 5.75783 17.174 5.49569 16.164 5.3709C16.0308 5.35444 15.8928 5.34021 15.7501 5.32793ZM8.02012 6.85959C7.16458 6.96529 6.64786 7.16413 6.24426 7.49909C5.84065 7.83406 5.54999 8.30528 5.28843 9.12669C5.02057 9.96788 4.80982 11.0846 4.5137 12.6639C4.09798 14.8811 3.8029 16.4647 3.75 17.6766C3.69801 18.8679 3.88907 19.5576 4.31892 20.0756C4.74876 20.5935 5.39151 20.9084 6.57193 21.0768C7.77284 21.2482 9.38371 21.25 11.6395 21.25H12.3607C14.6165 21.25 16.2274 21.2482 17.4283 21.0768C18.6087 20.9084 19.2515 20.5935 19.6813 20.0756C20.1112 19.5576 20.3022 18.8679 20.2502 17.6766C20.1973 16.4647 19.9023 14.8811 19.4865 12.6639C19.1904 11.0846 18.9797 9.96788 18.7118 9.12669C18.4502 8.30528 18.1596 7.83406 17.756 7.49909C17.3524 7.16413 16.8357 6.96529 15.9801 6.85959C15.104 6.75133 13.9675 6.75 12.3607 6.75H11.6395C10.0327 6.75 8.89627 6.75133 8.02012 6.85959Z" fill="currentColor" />
                                </svg>
                            </div>
                        </li>
                        <li class="pb-10 space-y-4 relative ltr:pl-14 rtl:pr-14 before:absolute ltr:before:left-4.5 rtl:before:right-4.5 before:top-0 before:border-l before:border-primary before:border-dashed before:h-full">
                            <div class="flex items-center text-base">
                                <div class="font-bold">Packed - </div>
                                <div>&nbsp; Mon. 14 Feb 2021</div>
                            </div>
                            <div>
                                <p class="font-semibold">Your Item has been picked up by courier patner</p>
                                <div class="text-white-dark">Wed, 15 Dec 2021 - 05:34PM</div>
                            </div>
                            <div class="w-9 h-9 bg-primary flex items-center justify-center rounded-full absolute ltr:left-0 rtl:right-0 -top-1.5 !mt-0">
                                <svg class="w-5 h-5 text-white" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M11.9426 1.25C9.63424 1.24999 7.82519 1.24998 6.41371 1.43975C4.96897 1.63399 3.82895 2.03933 2.93414 2.93414C2.03933 3.82895 1.63399 4.96897 1.43975 6.41371C1.24998 7.82519 1.24999 9.63422 1.25 11.9426V12.0574C1.24999 14.3658 1.24998 16.1748 1.43975 17.5863C1.63399 19.031 2.03933 20.1711 2.93414 21.0659C3.82895 21.9607 4.96897 22.366 6.41371 22.5603C7.82519 22.75 9.63423 22.75 11.9426 22.75H12.0574C14.3658 22.75 16.1748 22.75 17.5863 22.5603C19.031 22.366 20.1711 21.9607 21.0659 21.0659C21.9607 20.1711 22.366 19.031 22.5603 17.5863C22.75 16.1748 22.75 14.3658 22.75 12.0574V11.9426C22.75 9.63423 22.75 7.82519 22.5603 6.41371C22.366 4.96897 21.9607 3.82895 21.0659 2.93414C20.1711 2.03933 19.031 1.63399 17.5863 1.43975C16.1748 1.24998 14.3658 1.24999 12.0574 1.25H11.9426ZM11.25 2.75028C9.25629 2.75238 7.77266 2.77054 6.61358 2.92637C5.33517 3.09825 4.56445 3.42514 3.9948 3.9948C3.42514 4.56445 3.09825 5.33517 2.92637 6.61358C2.77054 7.77266 2.75238 9.25629 2.75028 11.25H6.91376C6.56279 10.8116 6.30055 10.2945 6.15756 9.72253C5.6193 7.56951 7.56951 5.6193 9.72253 6.15756C10.2945 6.30055 10.8116 6.56279 11.25 6.91376V2.75028ZM2.75028 12.75C2.75238 14.7437 2.77054 16.2273 2.92637 17.3864C3.09825 18.6648 3.42514 19.4355 3.9948 20.0052C4.56445 20.5749 5.33517 20.9018 6.61358 21.0736C7.77266 21.2295 9.25629 21.2476 11.25 21.2497V14.1236C10.4704 15.6809 8.86003 16.75 7 16.75C6.58579 16.75 6.25 16.4142 6.25 16C6.25 15.5858 6.58579 15.25 7 15.25C8.53679 15.25 9.82445 14.1834 10.163 12.75H10.0351L10.0259 12.75H2.75028ZM12.75 21.2497C14.7437 21.2476 16.2273 21.2295 17.3864 21.0736C18.6648 20.9018 19.4355 20.5749 20.0052 20.0052C20.5749 19.4355 20.9018 18.6648 21.0736 17.3864C21.2295 16.2273 21.2476 14.7437 21.2497 12.75H13.9741L13.9649 12.75H13.837C14.1756 14.1834 15.4632 15.25 17 15.25C17.4142 15.25 17.75 15.5858 17.75 16C17.75 16.4142 17.4142 16.75 17 16.75C15.14 16.75 13.5296 15.6809 12.75 14.1236V21.2497ZM21.2497 11.25H17.0863C17.4372 10.8116 17.6995 10.2945 17.8425 9.72253C18.3807 7.56951 16.4305 5.6193 14.2775 6.15756C13.7055 6.30055 13.1884 6.56279 12.75 6.91376V2.75028C14.7437 2.75238 16.2273 2.77054 17.3864 2.92637C18.6648 3.09825 19.4355 3.42514 20.0052 3.9948C20.5749 4.56445 20.9018 5.33517 21.0736 6.61358C21.2295 7.77266 21.2476 9.25629 21.2497 11.25ZM12.75 11.25L12.75 10.0291C12.7527 8.88589 13.5317 7.89017 14.6413 7.61277C15.6957 7.34916 16.6509 8.30428 16.3872 9.35872C16.1099 10.4679 15.1149 11.2467 13.9722 11.25H12.75ZM11.25 10.0275C11.2466 8.88494 10.4678 7.89004 9.35872 7.61277C8.30428 7.34916 7.34916 8.30428 7.61277 9.35872C7.89006 10.4679 8.88513 11.2467 10.0278 11.25H11.25V10.0275Z" fill="currentColor" />
                                </svg>
                            </div>
                        </li>
                        <li class="pb-10 space-y-4 relative ltr:pl-14 rtl:pr-14 before:absolute ltr:before:left-4.5 rtl:before:right-4.5 before:top-0 before:border-l before:border-white-light before:border-dashed before:h-full dark:before:border-white-light/30">
                            <div class="flex items-center text-base">
                                <div class="font-bold">Shipping - </div>
                                <div>&nbsp; Mon. 14 Feb 2021</div>
                            </div>
                            <div>
                                <p class="font-semibold">RQK Logistics - MFDS1400457854</p>
                                <p class="font-semibold">Your item has been shipped.</p>
                                <div class="text-white-dark">Wed, 15 Dec 2021 - 05:34PM</div>
                            </div>
                            <div class="w-9 h-9 bg-primary flex items-center justify-center rounded-full absolute ltr:left-0 rtl:right-0 -top-1.5 !mt-0">
                                <svg class="w-5 h-5 text-white" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M13.8643 5.78336C13.5506 5.75093 13.1447 5.75 12.5279 5.75H12C11.5858 5.75 11.25 5.41422 11.25 5C11.25 4.58579 11.5858 4.25 12 4.25L12.5648 4.25C13.1347 4.24998 13.6187 4.24997 14.0186 4.29132C14.4444 4.33534 14.8379 4.43094 15.2097 4.66071C15.5815 4.89048 15.843 5.19971 16.0728 5.56088C16.2754 5.87933 16.4785 6.2803 16.7135 6.75L17.8682 6.75C18.1521 6.74998 18.4127 6.74996 18.6298 6.76947C18.8645 6.79055 19.1203 6.83898 19.3679 6.98039C19.6395 7.13549 19.8645 7.36052 20.0196 7.63209C20.161 7.87968 20.2095 8.13549 20.2306 8.37017C20.2501 8.58733 20.25 8.84795 20.25 9.13178V9.16072L20.2501 9.22526C20.2507 9.48503 20.2514 9.76315 20.167 10.0271C20.1106 10.2039 20.0263 10.3706 19.9175 10.521C19.755 10.7454 19.5307 10.9098 19.3212 11.0634L19.2691 11.1016L18.9916 11.3061L19.4787 12.2803C21.3237 12.5153 22.75 14.0911 22.75 16C22.75 18.0711 21.0711 19.75 19 19.75C17.1858 19.75 15.6725 18.4617 15.325 16.75H10.175C9.82755 18.4617 8.31423 19.75 6.50002 19.75C4.68264 19.75 3.16722 18.4572 2.82323 16.7411C1.98372 16.6561 1.32191 15.9823 1.25541 15.1373C1.24992 15.0675 1.24996 14.992 1.25001 14.9193L1.25002 14.9L1.25001 14.8619C1.24999 14.5269 1.24998 14.3138 1.26466 14.1273C1.44798 11.798 3.29805 9.94796 5.62733 9.76464C5.81382 9.74997 6.02687 9.74998 6.36191 9.75L6.40002 9.75L7.05201 9.75C7.95049 9.74997 8.69971 9.74995 9.29449 9.82991C9.92229 9.91432 10.4891 10.1 10.9446 10.5555C11.4 11.0109 11.5857 11.5777 11.6701 12.2055C11.7501 12.8003 11.75 13.5495 11.75 14.448L11.75 15.25H15.325C15.5973 13.9089 16.5851 12.8277 17.8727 12.4224L15.4348 7.54656C15.1589 6.99487 14.9766 6.6322 14.8073 6.36612C14.6473 6.1147 14.5326 6.00562 14.4211 5.93669C14.3096 5.86776 14.1608 5.81401 13.8643 5.78336ZM10.25 15.25V14.5C10.25 13.536 10.2484 12.8884 10.1835 12.4054C10.1214 11.9439 10.0142 11.7464 9.8839 11.6161C9.75358 11.4858 9.55609 11.3786 9.09462 11.3165C8.61159 11.2516 7.96403 11.25 7.00002 11.25H6.40002C6.01431 11.25 5.86492 11.2506 5.74502 11.26C4.1513 11.3854 2.88546 12.6513 2.76003 14.245C2.7506 14.3649 2.75002 14.5143 2.75002 14.9C2.75002 14.9485 2.75003 14.9773 2.75033 14.9991C2.76033 15.121 2.879 15.2397 3.00093 15.2497L10.25 15.25ZM4.37804 16.75C4.68692 17.6239 5.52035 18.25 6.50002 18.25C7.47968 18.25 8.31311 17.6239 8.62199 16.75H4.37804ZM16.75 16C16.75 14.7574 17.7574 13.75 19 13.75C20.2427 13.75 21.25 14.7574 21.25 16C21.25 17.2426 20.2427 18.25 19 18.25C17.7574 18.25 16.75 17.2426 16.75 16ZM18.3108 9.94453L18.3795 9.89396C18.5178 9.79207 18.5955 9.73441 18.6517 9.68765C18.6864 9.65883 18.6993 9.645 18.7026 9.64114C18.7181 9.61969 18.7301 9.59591 18.7382 9.5707C18.7362 9.57695 18.7416 9.56642 18.7454 9.50229C18.7497 9.42932 18.75 9.3325 18.75 9.16072C18.75 8.83832 18.7493 8.64622 18.7366 8.50439C18.7289 8.41867 18.7188 8.38291 18.7154 8.3731C18.6939 8.33658 18.6634 8.30612 18.6269 8.2846C18.6171 8.28121 18.5813 8.27115 18.4956 8.26345C18.3538 8.25071 18.1617 8.25 17.8393 8.25H17.4635L18.3108 9.94453Z" fill="currentColor" />
                                </svg>
                            </div>
                        </li>
                        <li class="pb-10 text-base font-bold relative ltr:pl-14 rtl:pr-14 before:absolute ltr:before:left-4.5 rtl:before:right-4.5 before:top-0 before:border-l before:border-white-light dark:before:border-white-light/30 before:border-dashed before:h-full">
                            Out For Delivery
                            <div class="w-9 h-9 bg-white-light dark:bg-primary-dark-light flex items-center justify-center rounded-full absolute ltr:left-0 rtl:right-0 -top-1.5 !mt-0">
                                <svg class="w-5 h-5 text-primary" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M3.25 10.1433C3.25 5.24427 7.15501 1.25 12 1.25C16.845 1.25 20.75 5.24427 20.75 10.1433C20.75 12.5084 20.076 15.0479 18.8844 17.2419C17.6944 19.4331 15.9556 21.3372 13.7805 22.3539C12.6506 22.882 11.3494 22.882 10.2195 22.3539C8.04437 21.3372 6.30562 19.4331 5.11556 17.2419C3.92403 15.0479 3.25 12.5084 3.25 10.1433ZM12 2.75C8.00843 2.75 4.75 6.04748 4.75 10.1433C4.75 12.2404 5.35263 14.5354 6.4337 16.526C7.51624 18.5192 9.04602 20.1496 10.8546 20.995C11.5821 21.335 12.4179 21.335 13.1454 20.995C14.954 20.1496 16.4838 18.5192 17.5663 16.526C18.6474 14.5354 19.25 12.2404 19.25 10.1433C19.25 6.04748 15.9916 2.75 12 2.75ZM12 7.75C10.7574 7.75 9.75 8.75736 9.75 10C9.75 11.2426 10.7574 12.25 12 12.25C13.2426 12.25 14.25 11.2426 14.25 10C14.25 8.75736 13.2426 7.75 12 7.75ZM8.25 10C8.25 7.92893 9.92893 6.25 12 6.25C14.0711 6.25 15.75 7.92893 15.75 10C15.75 12.0711 14.0711 13.75 12 13.75C9.92893 13.75 8.25 12.0711 8.25 10Z" fill="currentColor" />
                                </svg>
                            </div>
                        </li>
                        <li class="text-base font-bold relative ltr:pl-14 rtl:pr-14">
                            Delivered
                            <div class="w-9 h-9 bg-white-light dark:bg-primary-dark-light flex items-center justify-center rounded-full absolute ltr:left-0 rtl:right-0 -top-1.5 !mt-0">
                                <svg class="w-5 h-5 text-primary" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M11.948 1.25H12.052C12.9505 1.24997 13.6997 1.24995 14.2945 1.32991C14.9223 1.41432 15.4891 1.59999 15.9445 2.05546C16.4 2.51093 16.5857 3.07773 16.6701 3.70552C16.7292 4.14512 16.7446 4.66909 16.7486 5.27533C17.3971 5.29614 17.9752 5.33406 18.489 5.40314C19.6614 5.56076 20.6104 5.89288 21.3588 6.64124C22.1071 7.38961 22.4392 8.33856 22.5969 9.51098C22.75 10.6502 22.75 12.1058 22.75 13.9436V14.0564C22.75 15.8942 22.75 17.3498 22.5969 18.489C22.4392 19.6614 22.1071 20.6104 21.3588 21.3588C20.6104 22.1071 19.6614 22.4392 18.489 22.5969C17.3498 22.75 15.8942 22.75 14.0564 22.75H9.94359C8.10583 22.75 6.65019 22.75 5.51098 22.5969C4.33856 22.4392 3.38961 22.1071 2.64124 21.3588C1.89288 20.6104 1.56076 19.6614 1.40314 18.489C1.24997 17.3498 1.24998 15.8942 1.25 14.0564V13.9436C1.24998 12.1058 1.24997 10.6502 1.40314 9.51098C1.56076 8.33856 1.89288 7.38961 2.64124 6.64124C3.38961 5.89288 4.33856 5.56076 5.51098 5.40314C6.02475 5.33406 6.60288 5.29614 7.2514 5.27533C7.2554 4.66909 7.27081 4.14512 7.32991 3.70552C7.41432 3.07773 7.59999 2.51093 8.05546 2.05546C8.51093 1.59999 9.07773 1.41432 9.70552 1.32991C10.3003 1.24995 11.0495 1.24997 11.948 1.25ZM8.7518 5.25178C9.12993 5.24999 9.52694 5.25 9.94358 5.25H14.0564C14.4731 5.25 14.8701 5.24999 15.2482 5.25178C15.244 4.68146 15.23 4.25125 15.1835 3.90539C15.1214 3.44393 15.0142 3.24644 14.8839 3.11612C14.7536 2.9858 14.5561 2.87858 14.0946 2.81654C13.6116 2.7516 12.964 2.75 12 2.75C11.036 2.75 10.3884 2.7516 9.90539 2.81654C9.44393 2.87858 9.24643 2.9858 9.11612 3.11612C8.9858 3.24644 8.87858 3.44393 8.81654 3.90539C8.77004 4.25125 8.75601 4.68146 8.7518 5.25178ZM5.71085 6.88976C4.70476 7.02503 4.12511 7.2787 3.7019 7.70191C3.27869 8.12511 3.02502 8.70476 2.88976 9.71085C2.75159 10.7385 2.75 12.0932 2.75 14C2.75 15.9068 2.75159 17.2615 2.88976 18.2892C3.02502 19.2952 3.27869 19.8749 3.7019 20.2981C4.12511 20.7213 4.70476 20.975 5.71085 21.1102C6.73851 21.2484 8.09318 21.25 10 21.25H14C15.9068 21.25 17.2615 21.2484 18.2892 21.1102C19.2952 20.975 19.8749 20.7213 20.2981 20.2981C20.7213 19.8749 20.975 19.2952 21.1102 18.2892C21.2484 17.2615 21.25 15.9068 21.25 14C21.25 12.0932 21.2484 10.7385 21.1102 9.71085C20.975 8.70476 20.7213 8.12511 20.2981 7.70191C19.8749 7.2787 19.2952 7.02503 18.2892 6.88976C17.2615 6.7516 15.9068 6.75 14 6.75H10C8.09318 6.75 6.73851 6.7516 5.71085 6.88976ZM12 9.25C12.4142 9.25 12.75 9.58579 12.75 10V10.0102C13.8388 10.2845 14.75 11.143 14.75 12.3333C14.75 12.7475 14.4142 13.0833 14 13.0833C13.5858 13.0833 13.25 12.7475 13.25 12.3333C13.25 11.9493 12.8242 11.4167 12 11.4167C11.1758 11.4167 10.75 11.9493 10.75 12.3333C10.75 12.7174 11.1758 13.25 12 13.25C13.3849 13.25 14.75 14.2098 14.75 15.6667C14.75 16.857 13.8388 17.7155 12.75 17.9898V18C12.75 18.4142 12.4142 18.75 12 18.75C11.5858 18.75 11.25 18.4142 11.25 18V17.9898C10.1612 17.7155 9.25 16.857 9.25 15.6667C9.25 15.2525 9.58579 14.9167 10 14.9167C10.4142 14.9167 10.75 15.2525 10.75 15.6667C10.75 16.0507 11.1758 16.5833 12 16.5833C12.8242 16.5833 13.25 16.0507 13.25 15.6667C13.25 15.2826 12.8242 14.75 12 14.75C10.6151 14.75 9.25 13.7903 9.25 12.3333C9.25 11.143 10.1612 10.2845 11.25 10.0102V10C11.25 9.58579 11.5858 9.25 12 9.25Z" fill="currentColor" />
                                </svg>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="xl:max-w-sm w-full xl:space-y-5 mt-10 xl:mt-0 grid sm:grid-cols-2 gap-5 xl:block">
            <div class="panel p-0">
                <div class="flex items-center justify-between p-4 border-b dark:border-[#191e3a]">
                    <div class="font-semibold text-base text-primary">Logistics Details</div>
                    <a href="javascript:" class="bg-primary-light dark:bg-dark text-xs py-1 px-2 rounded-md font-bold">Track Order</a>
                </div>
                <div class="flex flex-col p-4">
                    <h4 class="font-bold text-lg">RQK Logistics</h4>
                    <div class="my-2 text-white-dark">
                        ID: ADDS9585142675
                    </div>
                    <div class="text-white-dark">
                        Payment Mode: Debit Card
                    </div>
                </div>
            </div>
            <div class="panel p-0">
                <div class="flex items-center justify-between p-4 border-b dark:border-[#191e3a]">
                    <div class="font-semibold text-base text-primary">Customer Details</div>
                    <a href="javascript:" class="text-primary">View Profile</a>
                </div>
                <div class="p-4">
                    <div class="flex items-center gap-4 mb-5">
                        <img src="/assets/images/profile-2.jpeg" alt="" class="w-12 h-12 rounded" />
                        <div>
                            <div class="font-semibold text-base">Joseph Parkers</div>
                            <div class="text-white-dark">Customer</div>
                        </div>
                    </div>
                    <div class="space-y-3">
                        <a href="mailto:dummy@gmail.com" class="flex items-center gap-3">
                            <div>
                                <svg class="w-5 h-6" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M9.94358 3.25H14.0564C15.8942 3.24998 17.3498 3.24997 18.489 3.40314C19.6614 3.56076 20.6104 3.89288 21.3588 4.64124C22.1071 5.38961 22.4392 6.33856 22.5969 7.51098C22.75 8.65019 22.75 10.1058 22.75 11.9436V12.0564C22.75 13.8942 22.75 15.3498 22.5969 16.489C22.4392 17.6614 22.1071 18.6104 21.3588 19.3588C20.6104 20.1071 19.6614 20.4392 18.489 20.5969C17.3498 20.75 15.8942 20.75 14.0564 20.75H9.94359C8.10583 20.75 6.65019 20.75 5.51098 20.5969C4.33856 20.4392 3.38961 20.1071 2.64124 19.3588C1.89288 18.6104 1.56076 17.6614 1.40314 16.489C1.24997 15.3498 1.24998 13.8942 1.25 12.0564V11.9436C1.24998 10.1058 1.24997 8.65019 1.40314 7.51098C1.56076 6.33856 1.89288 5.38961 2.64124 4.64124C3.38961 3.89288 4.33856 3.56076 5.51098 3.40314C6.65019 3.24997 8.10582 3.24998 9.94358 3.25ZM5.71085 4.88976C4.70476 5.02502 4.12511 5.27869 3.7019 5.7019C3.27869 6.12511 3.02502 6.70476 2.88976 7.71085C2.75159 8.73851 2.75 10.0932 2.75 12C2.75 13.9068 2.75159 15.2615 2.88976 16.2892C3.02502 17.2952 3.27869 17.8749 3.7019 18.2981C4.12511 18.7213 4.70476 18.975 5.71085 19.1102C6.73851 19.2484 8.09318 19.25 10 19.25H14C15.9068 19.25 17.2615 19.2484 18.2892 19.1102C19.2952 18.975 19.8749 18.7213 20.2981 18.2981C20.7213 17.8749 20.975 17.2952 21.1102 16.2892C21.2484 15.2615 21.25 13.9068 21.25 12C21.25 10.0932 21.2484 8.73851 21.1102 7.71085C20.975 6.70476 20.7213 6.12511 20.2981 5.7019C19.8749 5.27869 19.2952 5.02502 18.2892 4.88976C17.2615 4.75159 15.9068 4.75 14 4.75H10C8.09318 4.75 6.73851 4.75159 5.71085 4.88976ZM5.42383 7.51986C5.68901 7.20165 6.16193 7.15866 6.48014 7.42383L8.63903 9.22291C9.57199 10.0004 10.2197 10.5384 10.7666 10.8901C11.2959 11.2306 11.6549 11.3449 12 11.3449C12.3451 11.3449 12.7041 11.2306 13.2334 10.8901C13.7803 10.5384 14.428 10.0004 15.361 9.22291L17.5199 7.42383C17.8381 7.15866 18.311 7.20165 18.5762 7.51986C18.8413 7.83807 18.7983 8.31099 18.4801 8.57617L16.2836 10.4066C15.3973 11.1452 14.6789 11.7439 14.0448 12.1517C13.3843 12.5765 12.7411 12.8449 12 12.8449C11.2589 12.8449 10.6157 12.5765 9.95518 12.1517C9.32112 11.7439 8.60272 11.1452 7.71636 10.4066L5.51986 8.57617C5.20165 8.31099 5.15866 7.83807 5.42383 7.51986Z" fill="currentColor" />
                                </svg>
                            </div>
                            <p>johndoe@yahoo.com</p>
                        </a>
                        <a href="tel:123 4567 890" class="flex items-center gap-3">
                            <div>
                                <svg class="w-5 h-6" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M11.9436 1.25H12.0564C13.8942 1.24998 15.3498 1.24997 16.489 1.40314C17.6614 1.56076 18.6104 1.89288 19.3588 2.64124C20.1071 3.38961 20.4392 4.33856 20.5969 5.51098C20.75 6.65019 20.75 8.10583 20.75 9.94359V14.0564C20.75 15.8942 20.75 17.3498 20.5969 18.489C20.4392 19.6614 20.1071 20.6104 19.3588 21.3588C18.6104 22.1071 17.6614 22.4392 16.489 22.5969C15.3498 22.75 13.8942 22.75 12.0564 22.75H11.9436C10.1058 22.75 8.65019 22.75 7.51098 22.5969C6.33856 22.4392 5.38961 22.1071 4.64124 21.3588C3.89288 20.6104 3.56076 19.6614 3.40314 18.489C3.24997 17.3498 3.24998 15.8942 3.25 14.0564V9.94358C3.24998 8.10582 3.24997 6.65019 3.40314 5.51098C3.56076 4.33856 3.89288 3.38961 4.64124 2.64124C5.38961 1.89288 6.33856 1.56076 7.51098 1.40314C8.65019 1.24997 10.1058 1.24998 11.9436 1.25ZM6.81398 3.07317C6.32495 3.21933 5.97972 3.42409 5.7019 3.7019C5.27869 4.12511 5.02502 4.70476 4.88976 5.71085C4.75159 6.73851 4.75 8.09318 4.75 10V14C4.75 15.9068 4.75159 17.2615 4.88976 18.2892C5.02502 19.2952 5.27869 19.8749 5.7019 20.2981C6.12511 20.7213 6.70476 20.975 7.71085 21.1102C8.73851 21.2484 10.0932 21.25 12 21.25C13.9068 21.25 15.2615 21.2484 16.2892 21.1102C17.2952 20.975 17.8749 20.7213 18.2981 20.2981C18.7213 19.8749 18.975 19.2952 19.1102 18.2892C19.2484 17.2615 19.25 15.9068 19.25 14V10C19.25 8.09318 19.2484 6.73851 19.1102 5.71085C18.975 4.70476 18.7213 4.12511 18.2981 3.7019C18.0203 3.42409 17.6751 3.21933 17.186 3.07317C16.5243 4.06685 16.0616 4.75765 15.3737 5.18514C15.2365 5.27042 15.0938 5.34674 14.9468 5.41363C14.2046 5.75112 13.367 5.75069 12.1604 5.75006C12.1077 5.75003 12.0542 5.75 12 5.75C11.9458 5.75 11.8923 5.75003 11.8396 5.75006C10.633 5.75069 9.79542 5.75112 9.05325 5.41363C8.90616 5.34674 8.76355 5.27042 8.62631 5.18514C7.93836 4.75765 7.47571 4.06686 6.81398 3.07317ZM8.45129 2.81609C8.89537 3.45963 9.1279 3.73081 9.418 3.91108C9.50035 3.96225 9.58592 4.00805 9.67417 4.04818C10.0831 4.23412 10.5676 4.25 12 4.25C13.4324 4.25 13.9169 4.23412 14.3258 4.04818C14.4141 4.00804 14.4997 3.96225 14.582 3.91108C14.8721 3.73081 15.1046 3.45963 15.5487 2.81609C14.6285 2.75096 13.4807 2.75 12 2.75C10.5193 2.75 9.37152 2.75096 8.45129 2.81609ZM8.25 19C8.25 18.5858 8.58579 18.25 9 18.25H15C15.4142 18.25 15.75 18.5858 15.75 19C15.75 19.4142 15.4142 19.75 15 19.75H9C8.58579 19.75 8.25 19.4142 8.25 19Z" fill="currentColor" />
                                </svg>
                            </div>
                            <p>123 4567 890</p>
                        </a>
                    </div>
                </div>
            </div>
            <div class="panel p-0">
                <div class="font-semibold text-base p-4 border-b dark:border-[#191e3a] text-primary">Billing Address</div>
                <div class="p-4 space-y-2">
                    <div class="font-bold">Jimmy Turner</div>
                    <p>+123 4567 890</p>
                    <p>New York</p>
                    <p>United States</p>
                </div>
            </div>
            <div class="panel p-0">
                <div class="p-4 border-b dark:border-[#191e3a] font-semibold text-base text-primary">Shipping Address</div>
                <div class="p-4 space-y-2">
                    <div class="font-bold">Jimmy Turner</div>
                    <p>+123 4567 890</p>
                    <p>New York</p>
                    <p>United States</p>
                </div>
            </div>
            <div class="panel p-0">
                <div class="font-semibold text-base p-4 border-b dark:border-[#191e3a] text-primary">Payment Details</div>
                <div class="p-4 space-y-2">
                    <div>
                        Transactions: <span class="font-semibold">#VLZ124561278124</span>
                    </div>
                    <div>
                        Payment Method: <span class="font-semibold">Debit Card</span>
                    </div>
                    <div>
                        Card Holder Name: <span class="font-semibold">Jimmy Turner</span>
                    </div>
                    <div>
                        Card Number: <span class="font-semibold">xxxx xxxx xxxx 1234</span>
                    </div>
                    <div>
                        Total Amount: <span class="font-semibold">$415.96</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include '../../footer-main.php'; ?>
